%define  upstream_name Configuration
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.3.5
Release:	%mkrel 2
Summary:	A component that allows you to use configuration files in different formats
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	http://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.8
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch

%description
A component that allows you to use configuration files in different
formats.
The formats include the standard .ini file, and an array based format.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Configuration.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Configuration.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/Configuration
fi

%files
%defattr(-,root,root)
%doc docs/Configuration/*
   /usr/share/pear/data/Configuration/design/class_diagram.png
   /usr/share/pear/data/Configuration/design/config_manager.png
   /usr/share/pear/data/Configuration/design/configuration.png
   /usr/share/pear/data/Configuration/design/configuration.xml
   /usr/share/pear/data/Configuration/design/configuration_array.png
   /usr/share/pear/data/Configuration/design/configuration_exceptions.png
   /usr/share/pear/data/Configuration/design/configuration_ini.png
   /usr/share/pear/data/Configuration/design/configuration_validation.png
   /usr/share/pear/data/Configuration/design/design.txt
   /usr/share/pear/data/Configuration/design/requirements.txt
   /usr/share/pear/ezc/Configuration/array/array_reader.php
   /usr/share/pear/ezc/Configuration/array/array_writer.php
   /usr/share/pear/ezc/Configuration/configuration.php
   /usr/share/pear/ezc/Configuration/configuration_autoload.php
   /usr/share/pear/ezc/Configuration/configuration_manager.php
   /usr/share/pear/ezc/Configuration/exceptions/exception.php
   /usr/share/pear/ezc/Configuration/exceptions/group_exists_already.php
   /usr/share/pear/ezc/Configuration/exceptions/invalid_reader_class.php
   /usr/share/pear/ezc/Configuration/exceptions/invalid_suffix.php
   /usr/share/pear/ezc/Configuration/exceptions/manager_no_init.php
   /usr/share/pear/ezc/Configuration/exceptions/no_config.php
   /usr/share/pear/ezc/Configuration/exceptions/no_config_object.php
   /usr/share/pear/ezc/Configuration/exceptions/parse_error.php
   /usr/share/pear/ezc/Configuration/exceptions/read_failed.php
   /usr/share/pear/ezc/Configuration/exceptions/setting_wrong_type.php
   /usr/share/pear/ezc/Configuration/exceptions/settingname_not_string.php
   /usr/share/pear/ezc/Configuration/exceptions/unknown_config.php
   /usr/share/pear/ezc/Configuration/exceptions/unknown_group.php
   /usr/share/pear/ezc/Configuration/exceptions/unknown_setting.php
   /usr/share/pear/ezc/Configuration/exceptions/write_failed.php
   /usr/share/pear/ezc/Configuration/file_reader.php
   /usr/share/pear/ezc/Configuration/file_writer.php
   /usr/share/pear/ezc/Configuration/ini/ini_parser.php
   /usr/share/pear/ezc/Configuration/ini/ini_reader.php
   /usr/share/pear/ezc/Configuration/ini/ini_writer.php
   /usr/share/pear/ezc/Configuration/interfaces/reader.php
   /usr/share/pear/ezc/Configuration/interfaces/writer.php
   /usr/share/pear/ezc/Configuration/structs/ini_item.php
   /usr/share/pear/ezc/Configuration/structs/validation_item.php
   /usr/share/pear/ezc/Configuration/validation_result.php
   /usr/share/pear/ezc/autoload/configuration_autoload.php
%{xmldir}/Configuration.xml


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.3.5-2.mga3
+ Revision: 349892
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 18 2011 spuhler <spuhler> 1.3.5-1.mga2
+ Revision: 125718
- upgrade to 1.3.5

* Sat Jul 16 2011 spuhler <spuhler> 1.3-1.mga2
+ Revision: 124910
- imported package ezcomponents-Configuration

